import request from '@/utils/request'


// 查询服务管理列表
export function listByMechanicId(query) {
  return request({
    url: '/business/serviceItem/listByMechanicId',
    method: 'get',
    params: query
  })
}

// 查询服务管理列表
export function listByShopId(query) {
  return request({
    url: '/business/serviceItem/listByShopId',
    method: 'get',
    params: query
  })
}

// 查询服务管理列表
export function listServiceItem(query) {
  return request({
    url: '/business/serviceItem/list',
    method: 'get',
    params: query
  })
}

// 查询服务管理详细
export function getServiceItem(id) {
  return request({
    url: '/business/serviceItem/' + id,
    method: 'get'
  })
}

// 新增服务管理
export function addServiceItem(data) {
  return request({
    url: '/business/serviceItem',
    method: 'post',
    data: data
  })
}

// 修改服务管理
export function updateServiceItem(data) {
  return request({
    url: '/business/serviceItem',
    method: 'put',
    data: data
  })
}

// 删除服务管理
export function delServiceItem(id) {
  return request({
    url: '/business/serviceItem/' + id,
    method: 'delete'
  })
}

// 导出服务管理
export function exportServiceItem(query) {
  return request({
    url: '/business/serviceItem/export',
    method: 'get',
    params: query
  })
}
